package com.ruoyi.rc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.rc.mapper.TQuestionnaireMapper;
import com.ruoyi.rc.domain.TQuestionnaire;
import com.ruoyi.rc.service.ITQuestionnaireService;

/**
 * 问卷Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-07-24
 */
@Service
public class TQuestionnaireServiceImpl implements ITQuestionnaireService 
{
    @Autowired
    private TQuestionnaireMapper tQuestionnaireMapper;

    /**
     * 查询问卷
     * 
     * @param id 问卷主键
     * @return 问卷
     */
    @Override
    public TQuestionnaire selectTQuestionnaireById(Long id)
    {
        return tQuestionnaireMapper.selectTQuestionnaireById(id);
    }

    /**
     * 查询问卷列表
     * 
     * @param tQuestionnaire 问卷
     * @return 问卷
     */
    @Override
    public List<TQuestionnaire> selectTQuestionnaireList(TQuestionnaire tQuestionnaire)
    {
        return tQuestionnaireMapper.selectTQuestionnaireList(tQuestionnaire);
    }

    /**
     * 新增问卷
     * 
     * @param tQuestionnaire 问卷
     * @return 结果
     */
    @Override
    public int insertTQuestionnaire(TQuestionnaire tQuestionnaire)
    {
        return tQuestionnaireMapper.insertTQuestionnaire(tQuestionnaire);
    }

    /**
     * 修改问卷
     * 
     * @param tQuestionnaire 问卷
     * @return 结果
     */
    @Override
    public int updateTQuestionnaire(TQuestionnaire tQuestionnaire)
    {
        return tQuestionnaireMapper.updateTQuestionnaire(tQuestionnaire);
    }

    /**
     * 批量删除问卷
     * 
     * @param ids 需要删除的问卷主键
     * @return 结果
     */
    @Override
    public int deleteTQuestionnaireByIds(Long[] ids)
    {
        return tQuestionnaireMapper.deleteTQuestionnaireByIds(ids);
    }

    /**
     * 删除问卷信息
     * 
     * @param id 问卷主键
     * @return 结果
     */
    @Override
    public int deleteTQuestionnaireById(Long id)
    {
        return tQuestionnaireMapper.deleteTQuestionnaireById(id);
    }
}
